%bcond_without check
%global debug_package %{nil}

%global crate colorgrad

Name:           rust-colorgrad
Version:        0.6.2
Release:        %autorelease
Summary:        Color scales library for data visualization, charts, games, generative art and others

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/colorgrad
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

Patch1:         01-remove-criterion.patch

%global _description %{expand:
Color scales library for data visualization, charts, games, generative
art and others.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+named-colors-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+named-colors-devel %{_description}

This package contains library source intended for building other packages which
use the "named-colors" feature of the "%{crate}" crate.

%files       -n %{name}+named-colors-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%changelog
* Sun Nov 12 2023 Leo Puvilland <leo@craftcat.dev> - 0.6.2
- Initial package
